com.ihr.xbrl.om.table.definition

## Class EntityIdentifierAspectNode

- java.lang.Object
- - com.ihr.xbrl.om.table.definition.EntityIdentifierAspectNode

- All Implemented Interfaces:
    EntityIdentifiersAspectInterface, HasAspectNode, MutableAspectValue, Aspect<XBRLEntity>

      public class EntityIdentifierAspectNode
      extends java.lang.Object
      implements EntityIdentifiersAspectInterface, HasAspectNode

  The Class EntityIdentifierAspectNode.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityIdentifierAspectNode(XBRLAspectNode node)` Instantiates a new entity identifier aspect node.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAspectClashIdentity()` Returns an object that can be used to evaluate aspect clash.
    `XBRLAspectNode` | `getAspectNode()` Returns back the aspect node this resolves comes from.
    `int` | `getAspectType()` Returns a value from the CommonAspectRule class that identifies the aspect type.
    `XBRLEntity[]` | `getEntities()` Gets the entity.
    `java.lang.String` | `getLabel(CellHeader ch)` Returns a text representation of the aspect value that can be used in the GUI as the cell header.
    `XBRLEntity` | `getMember(XBRLStructuralTable table, CellHeader[] header)` Convert this aspect into a proper Member
    `int` | `getMembersCount()` Gets the members count.
    `void` | `setValues(java.util.Set<?> distinctValues)` Sets the values.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityIdentifierAspectNode

          public EntityIdentifierAspectNode(XBRLAspectNode node)

      Instantiates a new entity identifier aspect node.
      Parameters:
        `node` - the node

  - ### Method Detail

    - #### getAspectNode

          public XBRLAspectNode getAspectNode()

      Description copied from interface: `HasAspectNode`
      Returns back the aspect node this resolves comes from.
      Specified by:
        `getAspectNode` in interface `HasAspectNode`
      Returns:
        XBRLAspectNode

    - #### getAspectClashIdentity

          public java.lang.Object getAspectClashIdentity()

      Description copied from interface: `Aspect`
      Returns an object that can be used to evaluate aspect clash.
      Specified by:
        `getAspectClashIdentity` in interface `Aspect<XBRLEntity>`
      Returns:
        the aspect clash identity

    - #### getAspectType

          public int getAspectType()

      Description copied from interface: `Aspect`
      Returns a value from the CommonAspectRule class that identifies the aspect type.
      Specified by:
        `getAspectType` in interface `Aspect<XBRLEntity>`
      Returns:
        the aspect type

    - #### getEntities

          public XBRLEntity[] getEntities()

      Description copied from interface: `EntityIdentifiersAspectInterface`
      Gets the entity.
      Specified by:
        `getEntities` in interface `EntityIdentifiersAspectInterface`
      Returns:
        the entity

    - #### setValues

          public void setValues(java.util.Set<?> distinctValues)

      Description copied from interface: `MutableAspectValue`
      Sets the values.
      Specified by:
        `setValues` in interface `MutableAspectValue`
      Parameters:
        `distinctValues` - the new values

    - #### getMembersCount

          public int getMembersCount()

      Description copied from interface: `EntityIdentifiersAspectInterface`
      Gets the members count.
      Specified by:
        `getMembersCount` in interface `EntityIdentifiersAspectInterface`
      Returns:
        the members count

    - #### getMember

          public XBRLEntity getMember(XBRLStructuralTable table,
                             CellHeader[] header)

      Description copied from interface: `Aspect`
      Convert this aspect into a proper Member depending on the aspect type. Member can be used later to search for facts that satisfy the set of members
      Specified by:
        `getMember` in interface `Aspect<XBRLEntity>`
      Parameters:
        `table` - the table
        `header` - the header
      Returns:
        the member

    - #### getLabel

          public java.lang.String getLabel(CellHeader ch)

      Description copied from interface: `MutableAspectValue`
      Returns a text representation of the aspect value that can be used in the GUI as the cell header.
      Specified by:
        `getLabel` in interface `MutableAspectValue`
      Parameters:
        `ch` - the ch
      Returns:
        the label